# Generated from gcf-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gcf

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Google Cloud Functions integration tools
License: Apache-2.0
URL: https://cloud.google.com/functions/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(redcarpet) >= 3.4
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rubocop) >= 0.62.0
# BuildRequires: rubygem(rubocop) < 0.63
# BuildRequires: rubygem(toys) >= 0.6
# BuildRequires: rubygem(toys) < 1
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
The gcf gem is a set of classes, plugins, and tools for integration with
Google Cloud Functions. It includes a high level interface for defining
functions and integrating with common Ruby frameworks, and Ruby tools for
local development and testing. This gem is not required to deploy your Ruby
app to Cloud Functions.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.1-1
- Initial package
